# bachelorarbeit_importer
Importiert ORBIS-Daten in ein vordefiniertes CSV-Format.

Zur Nutzung der Skripte müssen die in requirements.txt angegebenen Bibliotheken installiert werden.
Dies kann unter Linux mit dem Befehl 'pip install -r requirements.txt' geschehen. Andere Betriebssysteme können abweichende Installationsmöglichkeiten bieten.
Verwendung von cleanup_script.py:
    -h: Zeige die Hilfeseite an.
    -l [LOGFILE]: Gebe eine Datei für das Protokoll an. Wichtige Events werden darin vermerkt.
    -o [OUTPUT]: Gebe die Datei an, in welche die aufbereiteten Daten geschrieben werden.
    -s SEEK: Gebe die Position in einer Datei an, ab der der Import starten soll.
     [filename]: Gebe zum Schluss des Befehls die relevanten Datei(en) an, welche in das neue CSV-Format gebracht werden sollen.
Beispiel: './cleanup_script.py data/st_neu_1.csv data/st_neu_2.csv data/st_neu_3.csv -o data/cleaned_st_neu_verlustausschluss.csv'

Verwendung von display_script.py:
    Die letzte Zeile des Skripts muss je nach Speicherort der bereinigten CSV (aus cleanup_script.py) angepasst werden. Dies ist keine funktionelle, nur eine formelle Änderung. 
    Das Skript wurde nur in Spyder getestet. Möglicherweise müssen zusätzliche Bibliotheken installiert und Änderungen am Code vorgenommen werden, damit die Nutzung auch headless möglich ist. Die Kompatibilität wurde mit Spyder IDE 5.4.2 unter Python Version 3.11.2, Qt Version 5.15.8, PyQt5 Version 5.15.9 und dem Linux-Kernel Version 6.14.4-1 getestet. Nur für die Funktionsfähigkeit in der angegebenen Umgebung kann Verantwortung getragen werden. Aller Wahrscheinlichkeit und Erfahrung nach ist die Nutzung in anderen Umgebungen jedoch problemlos möglich.

Zur Datei orbis_suchmaske_approximation.png:
    Diese Datei enthält den Screenshot einer approximative Suche in Orbis. Die originale Suche, welche zur Ausgabe der CSV-Quelldateien für diese Suche geführt hat, ist aufgrund wechselnder Verbindungen in die Uni-VPN leider nicht mehr erhalten. Die Approximation soll eine ähnliche Suche darstellen, die originale Suche wurde jedoch ausschließlich im Fließtext der Arbeit dokumentiert.

Zur Datei table_generator_skript.py:
    Dieses Skript ist für die Generierung der Tabelle unter Anlage 1 verantwortlich. Unter Installation der Abhängigkeiten in requirements.txt in python3.11.2 wurde die Funktion getestet. Der Speicherpfad der Datei muss zur fehlerfreien Funktion angepasst werden.
